DROP POLICY(7)

NAME
DROP_POLICY - remove a row level security policy from a table

SYNOPSIS

DROP POLICY [ IF EXISTS ] name ON table_name

DESCRIPTION

DROP POLICY removes the specified policy from the table. Note that if the last policy is removed for a table and the table still has row level security enabled via ALTER TABLE, then the default-deny policy will be used. ALTER TABLE ... DISABLE ROW LEVEL SECURITY can be used to disable row level security for a table, whether policies for the table exist or not.

PARAMETERS

IF EXISTS
    Do not throw an error if the policy does not exist. A notice is issued in this case.

name
    The name of the policy to drop.

table_name
    The name (optionally schema-qualified) of the table that the policy is on.

EXAMPLES

To drop the policy called p1 on the table named my_table:

    DROP POLICY p1 ON my_table;

COMPATIBILITY

DROP POLICY is a PostgreSQL extension.

SEE ALSO
CREATE POLICY (CREATE_POLICY(7)), ALTER POLICY (ALTER_POLICY(7))